//
//  UserInfo.swift
//  SwiftProject
//
//  Created by aaa on 2024/4/1.
//

import Foundation
class UserInfo: NSObject {
    static let sharedInstance = UserInfo()
    var paymentState:Bool = false {
        didSet{
            NotificationCenter.default.post(name: Notification.Name(rawValue: "kUserVipStateChangeNotification"), object: self, userInfo:nil)
        }
    }
    var paymentProductIdentifier:String? //表示已购买的产品id
    var isMemberShip:Bool {
        get {
//            return true
            return paymentState
        }
    }
}
